#!/bin/sh
#app目录地址 随便自己怎么写
Root=/opt/app
#文件夹名字
File=/frpc

#frpc_client 进程名一定要是唯一的 将进程名写入到 pid.txt 
echo frpc >> /opt/pid.txt
#-----------------------分割线-------

#启动命令chmod 777 $Root$File/
chmod 777 $Root$File/frpc
cd $Root$File/
./frpc -c ./frpc_conf.ini
huoqu=$(pgrep frpc)
	jieguo=$( echo $huoqu | awk  ""'{print NF}')   
	if [ $jieguo = 0 ]; then
	#没有
         echo "插件并未运行"
    else
	#有
	echo "插件已运行"
    fi
done
